/*
 * Action Reward Points - Module
 */
jQuery( function ( $ ) {
    var ActionModule = {
        init : function () {
            this.show_or_hide_for_enable_signup() ;
            this.show_or_hide_for_enable_customreg_fields() ;
            this.show_or_hide_for_enable_social_acc_linking() ;
            this.show_or_hide_for_enable_product_review() ;
            this.show_or_hide_for_enable_blog_post_creation() ;
            this.show_or_hide_for_enable_blog_post_comment() ;
            this.show_or_hide_for_enable_product_creation() ;
            this.show_or_hide_for_enable_page_comment() ;
            this.show_or_hide_for_enable_daily_login() ;
            this.show_or_hide_for_mail_coupon_reward() ;
            this.show_or_hide_for_reward_success_msg() ;
            $( document ).on( 'change' , '#_rs_enable_signup' , this.enable_signup ) ;
            $( document ).on( 'change' , '#rs_enable_points_for_cus_field_reg' , this.enable_customreg_fields ) ;
            $( document ).on( 'change' , '#rs_enable_for_social_account_linking' , this.enable_social_acc_linking ) ;
            $( document ).on( 'change' , '#rs_enable_product_review_points' , this.enable_product_review ) ;
            $( document ).on( 'change' , '#rs_reward_for_Creating_Post' , this.enable_blog_post_creation ) ;
            $( document ).on( 'change' , '#rs_reward_for_comment_Post' , this.enable_blog_post_comment ) ;
            $( document ).on( 'change' , '#rs_reward_for_comment_Page' , this.enable_page_comment ) ;
            $( document ).on( 'change' , '#rs_enable_reward_points_for_login' , this.enable_daily_login ) ;
            $( document ).on( 'change' , '#rs_send_mail_coupon_reward' , this.mail_coupon_reward ) ;
            $( document ).on( 'change' , '#rs_enable_coupon_reward_success_msg' , this.reward_success_msg ) ;
        } ,
        enable_signup : function () {
            ActionModule.show_or_hide_for_enable_signup() ;
        } ,
        show_or_hide_for_enable_signup : function () {
            if ( jQuery( '#_rs_enable_signup' ).is( ':checked' ) == true ) {
                jQuery( '#rs_select_account_signup_points_award' ).closest( 'tr' ).show() ;
                jQuery( '#rs_reward_signup' ).closest( 'tr' ).show() ;
                jQuery( '#rs_reward_signup_after_first_purchase' ).closest( 'tr' ).show() ;
                if ( jQuery( '#rs_reward_signup_after_first_purchase' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_signup_points_with_purchase_points' ).closest( 'tr' ).show() ;
                } else {
                    jQuery( '#rs_signup_points_with_purchase_points' ).closest( 'tr' ).hide() ;
                }

                jQuery( '#rs_reward_signup_after_first_purchase' ).change( function () {
                    if ( jQuery( '#rs_reward_signup_after_first_purchase' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_signup_points_with_purchase_points' ).closest( 'tr' ).show() ;
                    } else {
                        jQuery( '#rs_signup_points_with_purchase_points' ).closest( 'tr' ).hide() ;
                    }
                } ) ;

                jQuery( '#rs_send_mail_account_signup' ).closest( 'tr' ).show() ;
                if ( jQuery( '#rs_send_mail_account_signup' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_account_signup' ).closest( 'tr' ).show() ;
                    jQuery( '#rs_email_message_account_signup' ).closest( 'tr' ).show() ;
                } else {
                    jQuery( '#rs_email_subject_account_signup' ).closest( 'tr' ).hide() ;
                    jQuery( '#rs_email_message_account_signup' ).closest( 'tr' ).hide() ;
                }

                jQuery( '#rs_send_mail_account_signup' ).change( function () {
                    if ( jQuery( '#rs_send_mail_account_signup' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_account_signup' ).closest( 'tr' ).show() ;
                        jQuery( '#rs_email_message_account_signup' ).closest( 'tr' ).show() ;
                    } else {
                        jQuery( '#rs_email_subject_account_signup' ).closest( 'tr' ).hide() ;
                        jQuery( '#rs_email_message_account_signup' ).closest( 'tr' ).hide() ;
                    }
                } ) ;
            } else {
                jQuery( '#rs_select_account_signup_points_award' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_reward_signup' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_reward_signup_after_first_purchase' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_signup_points_with_purchase_points' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_send_mail_account_signup' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_subject_account_signup' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_message_account_signup' ).closest( 'tr' ).hide() ;
            }
        } ,
        enable_customreg_fields : function () {
            ActionModule.show_or_hide_for_enable_customreg_fields() ;
        } ,
        show_or_hide_for_enable_customreg_fields : function () {
            if ( jQuery( '#rs_enable_points_for_cus_field_reg' ).is( ':checked' ) == true ) {
                jQuery( '.rs_rule_creation_for_custom_reg_field' ).parent().show() ;
                jQuery( '#rs_send_mail_cus_field_reg' ).closest( 'tr' ).show() ;
                if ( jQuery( '#rs_send_mail_cus_field_reg' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_cus_field_reg' ).closest( 'tr' ).show() ;
                    jQuery( '#rs_email_message_cus_field_reg' ).closest( 'tr' ).show() ;
                } else {
                    jQuery( '#rs_email_subject_cus_field_reg' ).closest( 'tr' ).hide() ;
                    jQuery( '#rs_email_message_cus_field_reg' ).closest( 'tr' ).hide() ;
                }

                jQuery( '#rs_send_mail_cus_field_reg' ).change( function () {
                    if ( jQuery( '#rs_send_mail_cus_field_reg' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_cus_field_reg' ).closest( 'tr' ).show() ;
                        jQuery( '#rs_email_message_cus_field_reg' ).closest( 'tr' ).show() ;
                    } else {
                        jQuery( '#rs_email_subject_cus_field_reg' ).closest( 'tr' ).hide() ;
                        jQuery( '#rs_email_message_cus_field_reg' ).closest( 'tr' ).hide() ;
                    }
                } ) ;
            } else {
                jQuery( '.rs_rule_creation_for_custom_reg_field' ).parent().hide() ;
                jQuery( '#rs_send_mail_cus_field_reg' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_subject_cus_field_reg' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_message_cus_field_reg' ).closest( 'tr' ).hide() ;
            }
        } ,
        enable_social_acc_linking : function () {
            ActionModule.show_or_hide_for_enable_social_acc_linking() ;
        } ,
        show_or_hide_for_enable_social_acc_linking : function () {
            if ( jQuery( '#rs_enable_for_social_account_linking' ).is( ":checked" ) == false ) {
                jQuery( '#rs_reward_for_social_account_linking' ).parent().parent().hide() ;
                jQuery( '#rs_send_mail_for_social_account_linking' ).parent().parent().parent().parent().hide() ;
                jQuery( '#rs_email_subject_for_social_account_linking' ).parent().parent().hide() ;
                jQuery( '#rs_email_message_for_social_account_linking' ).parent().parent().hide() ;
            } else {
                jQuery( '#rs_reward_for_social_account_linking' ).parent().parent().show() ;
                jQuery( '#rs_send_mail_for_social_account_linking' ).parent().parent().parent().parent().show() ;
                if ( jQuery( '#rs_send_mail_for_social_account_linking' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_for_social_account_linking' ).parent().parent().show() ;
                    jQuery( '#rs_email_message_for_social_account_linking' ).parent().parent().show() ;
                } else {
                    jQuery( '#rs_email_subject_for_social_account_linking' ).parent().parent().hide() ;
                    jQuery( '#rs_email_message_for_social_account_linking' ).parent().parent().hide() ;
                }

                jQuery( '#rs_send_mail_for_social_account_linking' ).change( function () {
                    if ( jQuery( '#rs_send_mail_for_social_account_linking' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_for_social_account_linking' ).parent().parent().show() ;
                        jQuery( '#rs_email_message_for_social_account_linking' ).parent().parent().show() ;
                    } else {
                        jQuery( '#rs_email_subject_for_social_account_linking' ).parent().parent().hide() ;
                        jQuery( '#rs_email_message_for_social_account_linking' ).parent().parent().hide() ;
                    }
                } ) ;
            }
        } ,
        enable_product_review : function () {
            ActionModule.show_or_hide_for_enable_product_review() ;
        } ,
        show_or_hide_for_enable_product_review : function () {
            if ( jQuery( '#rs_enable_product_review_points' ).is( ':checked' ) == true ) {
                jQuery( '.rs_review_reward_status' ).closest( 'tr' ).show() ;
                jQuery( '#rs_reward_product_review' ).closest( 'tr' ).show() ;
                jQuery( '#rs_restrict_reward_product_review' ).closest( 'tr' ).show() ;
                jQuery( '#rs_reward_for_comment_product_review' ).closest( 'tr' ).show() ;
                jQuery( '#rs_send_mail_product_review' ).closest( 'tr' ).show() ;
                if ( jQuery( '#rs_send_mail_product_review' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_product_review' ).closest( 'tr' ).show() ;
                    jQuery( '#rs_email_message_product_review' ).closest( 'tr' ).show() ;
                } else {
                    jQuery( '#rs_email_subject_product_review' ).closest( 'tr' ).hide() ;
                    jQuery( '#rs_email_message_product_review' ).closest( 'tr' ).hide() ;
                }

                jQuery( '#rs_send_mail_product_review' ).change( function () {
                    if ( jQuery( '#rs_send_mail_product_review' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_product_review' ).closest( 'tr' ).show() ;
                        jQuery( '#rs_email_message_product_review' ).closest( 'tr' ).show() ;
                    } else {
                        jQuery( '#rs_email_subject_product_review' ).closest( 'tr' ).hide() ;
                        jQuery( '#rs_email_message_product_review' ).closest( 'tr' ).hide() ;
                    }
                } ) ;
            } else {
                jQuery( '.rs_review_reward_status' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_reward_product_review' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_restrict_reward_product_review' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_reward_for_comment_product_review' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_send_mail_product_review' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_subject_product_review' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_message_product_review' ).closest( 'tr' ).hide() ;
            }
        } ,
        enable_blog_post_creation : function () {
            ActionModule.show_or_hide_for_enable_blog_post_creation() ;
        } ,
        show_or_hide_for_enable_blog_post_creation : function () {
            if ( jQuery( '#rs_reward_for_Creating_Post' ).is( ":checked" ) == false ) {
                jQuery( '#rs_reward_post' ).parent().parent().hide() ;
                jQuery( '#rs_reward_post_review' ).parent().parent().hide() ;
                jQuery( '#rs_send_mail_blog_post_create' ).parent().parent().parent().parent().hide() ;
                jQuery( '#rs_email_subject_blog_post_create' ).parent().parent().hide() ;
                jQuery( '#rs_email_message_blog_post_create' ).parent().parent().hide() ;
                jQuery( '#rs_post_visible_for' ).parent().parent().hide() ;
            } else {
                jQuery( '#rs_reward_post' ).parent().parent().show() ;
                jQuery( '#rs_send_mail_blog_post_create' ).parent().parent().parent().parent().show() ;
                jQuery( '#rs_post_visible_for' ).parent().parent().show() ;
                if ( jQuery( '#rs_send_mail_blog_post_create' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_blog_post_create' ).parent().parent().show() ;
                    jQuery( '#rs_email_message_blog_post_create' ).parent().parent().show() ;
                } else {
                    jQuery( '#rs_email_subject_blog_post_create' ).parent().parent().hide() ;
                    jQuery( '#rs_email_message_blog_post_create' ).parent().parent().hide() ;
                }

                jQuery( '#rs_send_mail_blog_post_create' ).change( function () {
                    if ( jQuery( '#rs_send_mail_blog_post_create' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_blog_post_create' ).parent().parent().show() ;
                        jQuery( '#rs_email_message_blog_post_create' ).parent().parent().show() ;
                    } else {
                        jQuery( '#rs_email_subject_blog_post_create' ).parent().parent().hide() ;
                        jQuery( '#rs_email_message_blog_post_create' ).parent().parent().hide() ;
                    }
                } ) ;
            }
        } ,
        enable_blog_post_comment : function () {
            ActionModule.show_or_hide_for_enable_blog_post_comment() ;
        } ,
        show_or_hide_for_enable_blog_post_comment : function () {
            if ( jQuery( '#rs_reward_for_comment_Post' ).is( ":checked" ) == false ) {
                jQuery( '#rs_restrict_reward_post_comment' ).parent().parent().parent().parent().hide() ;
                jQuery( '.rs_post_comment_reward_status' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_reward_post_review' ).parent().parent().hide() ;
                jQuery( '#rs_send_mail_blog_post_comment' ).parent().parent().parent().parent().hide() ;
                jQuery( '#rs_email_subject_blog_post_comment' ).parent().parent().hide() ;
                jQuery( '#rs_email_message_blog_post_comment' ).parent().parent().hide() ;
            } else {
                jQuery( '#rs_reward_post_review' ).parent().parent().show() ;
                jQuery( '.rs_post_comment_reward_status' ).closest( 'tr' ).show() ;
                jQuery( '#rs_restrict_reward_post_comment' ).parent().parent().parent().parent().show() ;
                jQuery( '#rs_send_mail_blog_post_comment' ).parent().parent().parent().parent().show() ;
                if ( jQuery( '#rs_send_mail_blog_post_comment' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_blog_post_comment' ).parent().parent().show() ;
                    jQuery( '#rs_email_message_blog_post_comment' ).parent().parent().show() ;
                } else {
                    jQuery( '#rs_email_subject_blog_post_comment' ).parent().parent().hide() ;
                    jQuery( '#rs_email_message_blog_post_comment' ).parent().parent().hide() ;
                }

                jQuery( '#rs_send_mail_blog_post_comment' ).change( function () {
                    if ( jQuery( '#rs_send_mail_blog_post_comment' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_blog_post_comment' ).parent().parent().show() ;
                        jQuery( '#rs_email_message_blog_post_comment' ).parent().parent().show() ;
                    } else {
                        jQuery( '#rs_email_subject_blog_post_comment' ).parent().parent().hide() ;
                        jQuery( '#rs_email_message_blog_post_comment' ).parent().parent().hide() ;
                    }
                } ) ;
            }
        } ,
        enable_product_creation : function () {
            ActionModule.show_or_hide_for_enable_product_creation() ;
        } ,
        show_or_hide_for_enable_product_creation : function () {
            if ( jQuery( '#rs_reward_for_enable_product_create' ).is( ":checked" ) == false ) {
                jQuery( '#rs_reward_Product_create' ).parent().parent().hide() ;
                jQuery( '#rs_send_mail_product_create' ).parent().parent().parent().parent().hide() ;
                jQuery( '#rs_email_subject_product_create' ).parent().parent().hide() ;
                jQuery( '#rs_email_message_product_create' ).parent().parent().hide() ;
            } else {
                jQuery( '#rs_reward_Product_create' ).parent().parent().show() ;
                jQuery( '#rs_send_mail_product_create' ).parent().parent().parent().parent().show() ;
                if ( jQuery( '#rs_send_mail_product_create' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_product_create' ).parent().parent().show() ;
                    jQuery( '#rs_email_message_product_create' ).parent().parent().show() ;
                } else {
                    jQuery( '#rs_email_subject_product_create' ).parent().parent().hide() ;
                    jQuery( '#rs_email_message_product_create' ).parent().parent().hide() ;
                }

                jQuery( '#rs_send_mail_product_create' ).change( function () {
                    if ( jQuery( '#rs_send_mail_product_create' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_product_create' ).parent().parent().show() ;
                        jQuery( '#rs_email_message_product_create' ).parent().parent().show() ;
                    } else {
                        jQuery( '#rs_email_subject_product_create' ).parent().parent().hide() ;
                        jQuery( '#rs_email_message_product_create' ).parent().parent().hide() ;
                    }
                } ) ;
            }
        } ,
        enable_page_comment : function () {
            ActionModule.show_or_hide_for_enable_page_comment() ;
        } ,
        show_or_hide_for_enable_page_comment : function () {
            if ( jQuery( '#rs_reward_for_comment_Page' ).is( ":checked" ) == false ) {
                jQuery( '#rs_reward_page_review' ).parent().parent().hide() ;
                jQuery( '.rs_page_comment_reward_status' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_restrict_reward_page_comment' ).parent().parent().parent().parent().hide() ;
                jQuery( '#rs_send_mail_page_comment' ).parent().parent().parent().parent().hide() ;
                jQuery( '#rs_email_subject_page_comment' ).parent().parent().hide() ;
                jQuery( '#rs_email_message_page_comment' ).parent().parent().hide() ;
            } else {
                jQuery( '#rs_reward_page_review' ).parent().parent().show() ;
                jQuery( '.rs_page_comment_reward_status' ).closest( 'tr' ).show() ;
                jQuery( '#rs_restrict_reward_page_comment' ).parent().parent().parent().parent().show() ;
                jQuery( '#rs_send_mail_page_comment' ).parent().parent().parent().parent().show() ;
                if ( jQuery( '#rs_send_mail_page_comment' ).is( ':checked' ) == true ) {
                    jQuery( '#rs_email_subject_page_comment' ).parent().parent().show() ;
                    jQuery( '#rs_email_message_page_comment' ).parent().parent().show() ;
                } else {
                    jQuery( '#rs_email_subject_page_comment' ).parent().parent().hide() ;
                    jQuery( '#rs_email_message_page_comment' ).parent().parent().hide() ;
                }

                jQuery( '#rs_send_mail_page_comment' ).change( function () {
                    if ( jQuery( '#rs_send_mail_page_comment' ).is( ':checked' ) == true ) {
                        jQuery( '#rs_email_subject_page_comment' ).parent().parent().show() ;
                        jQuery( '#rs_email_message_page_comment' ).parent().parent().show() ;
                    } else {
                        jQuery( '#rs_email_subject_page_comment' ).parent().parent().hide() ;
                        jQuery( '#rs_email_message_page_comment' ).parent().parent().hide() ;
                    }
                } ) ;
            }
        } ,
        enable_daily_login : function () {
            ActionModule.show_or_hide_for_enable_daily_login() ;
        } ,
        show_or_hide_for_enable_daily_login : function () {
            if ( jQuery( '#rs_enable_reward_points_for_login' ).is( ':checked' ) ) {
                jQuery( '#rs_reward_points_for_login' ).closest( 'tr' ).show() ;
                jQuery( '#rs_reward_for_social_network_login' ).closest( 'tr' ).show() ;
                jQuery( '#rs_send_mail_login' ).closest( 'tr' ).show() ;
                jQuery( '#rs_enable_for_social_network_login' ).closest( 'tr' ).show() ;
                if ( jQuery( '#rs_send_mail_login' ).is( ':checked' ) ) {
                    jQuery( '#rs_email_subject_login' ).closest( 'tr' ).show() ;
                    jQuery( '#rs_email_message_login' ).closest( 'tr' ).show() ;
                } else {
                    jQuery( '#rs_email_subject_login' ).closest( 'tr' ).hide() ;
                    jQuery( '#rs_email_message_login' ).closest( 'tr' ).hide() ;
                }

                jQuery( '#rs_send_mail_login' ).change( function () {
                    if ( jQuery( '#rs_send_mail_login' ).is( ':checked' ) ) {
                        jQuery( '#rs_email_subject_login' ).closest( 'tr' ).show() ;
                        jQuery( '#rs_email_message_login' ).closest( 'tr' ).show() ;
                    } else {
                        jQuery( '#rs_email_subject_login' ).closest( 'tr' ).hide() ;
                        jQuery( '#rs_email_message_login' ).closest( 'tr' ).hide() ;
                    }
                } ) ;
            } else {
                jQuery( '#rs_reward_points_for_login' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_reward_for_social_network_login' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_send_mail_login' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_subject_login' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_message_login' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_enable_for_social_network_login' ).closest( 'tr' ).hide() ;
            }
        } ,
        mail_coupon_reward : function () {
            ActionModule.show_or_hide_for_mail_coupon_reward() ;
        } ,
        show_or_hide_for_mail_coupon_reward : function () {
            if ( jQuery( '#rs_send_mail_coupon_reward' ).is( ':checked' ) == true ) {
                jQuery( '#rs_email_subject_coupon_reward' ).closest( 'tr' ).show() ;
                jQuery( '#rs_email_message_coupon_reward' ).closest( 'tr' ).show() ;
            } else {
                jQuery( '#rs_email_subject_coupon_reward' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_email_message_coupon_reward' ).closest( 'tr' ).hide() ;
            }
        } ,
        reward_success_msg : function () {
            ActionModule.show_or_hide_for_reward_success_msg() ;
        } ,
        show_or_hide_for_reward_success_msg : function () {
            if ( jQuery( '#rs_enable_coupon_reward_success_msg' ).is( ':checked' ) ) {
                jQuery( '#rs_coupon_applied_reward_success' ).closest( 'tr' ).show() ;
            } else {
                jQuery( '#rs_coupon_applied_reward_success' ).closest( 'tr' ).hide() ;
            }
        } ,
    } ;
    ActionModule.init() ;
} ) ;